commit:     43c1b3e52b2fc53479571d19153ea184b4045be9
Author:     Johannes Huber <johu <AT> gmx <DOT> de>
AuthorDate: Mon May 19 16:05:03 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue May 20 19:05:19 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=43c1b3e5

net-vpn/openfortivpn: add 1.23.1

Bug: https://bugs.gentoo.org/910667
Signed-off-by: Johannes Huber <johu <AT> gmx.de>
Part-of: https://github.com/gentoo/gentoo/pull/42154
Closes: https://github.com/gentoo/gentoo/pull/42154
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-vpn/openfortivpn/Manifest                      |  1 +
 .../files/openfortivpn-1.23.1-automagic.patch      | 25 ++++++++
 net-vpn/openfortivpn/metadata.xml                  |  3 +
 net-vpn/openfortivpn/openfortivpn-1.23.1.ebuild    | 73 ++++++++++++++++++++++
 4 files changed, 102 insertions(+)

diff --git a/net-vpn/openfortivpn/Manifest b/net-vpn/openfortivpn/Manifest
index e96a9921f88d..1cb517c78297 100644
--- a/net-vpn/openfortivpn/Manifest
+++ b/net-vpn/openfortivpn/Manifest
@@ -1 +1,2 @@
 DIST openfortivpn-1.22.1.tar.gz 171440 BLAKE2B 
cd8024985f9242799bd42708e46b6080b75cf1b1281d0f9c29f767dc83e7f6a9338fa271e82f3c73fe94ab05d8d309fe7a78f5270b036bc33d9d19d873609b05
 SHA512 
a6d3342689c733534c37f023f5a25dfc5bbb00bc3a0f9531b7cef1dc2825b48dc00ba68798a760316e644eefde98355fba8f1673c17af51f876c5b2a54828e37
+DIST openfortivpn-1.23.1.tar.gz 175670 BLAKE2B 
f1fb1d0a93bb1f123bc1198bb3940a2527e6bfa90e9993238de71c9348a3e4d534cbe5bcd40007befaead0c0537d9b5c1ba3809f1738dc98a294f287cd3bb7b2
 SHA512 
68870ccf9922e0d53df26aad3510066de32edc25089067e5e5deb928518f64eba22f49c870212c0abbd6e0d80cd7516c43c8829ec56a72470f95b75296641c70

diff --git a/net-vpn/openfortivpn/files/openfortivpn-1.23.1-automagic.patch 
b/net-vpn/openfortivpn/files/openfortivpn-1.23.1-automagic.patch
new file mode 100644
index 000000000000..ca7c0147e153
--- /dev/null
+++ b/net-vpn/openfortivpn/files/openfortivpn-1.23.1-automagic.patch
@@ -0,0 +1,25 @@
+commit e6d4329aeb2b96da8b56c6a2dd0dd64a9090f8c7
+Author: Johannes Huber <[email protected]>
+Date:   Tue May 20 16:52:26 2025 +0200
+
+    fix automagic build against systemd
+
+diff --git a/configure.ac b/configure.ac
+index 8701d23..2a182fe 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -34,7 +34,13 @@ m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
+ PKG_CHECK_MODULES(OPENSSL, [libssl >= 1.0.2 libcrypto >= 1.0.2], [], 
[AC_MSG_ERROR([Cannot find OpenSSL 1.0.2 or higher.])])
+ AC_CHECK_LIB([pthread], [pthread_create], [], [AC_MSG_ERROR([Cannot find 
libpthread.])])
+ AC_CHECK_LIB([util], [forkpty], [], [AC_MSG_ERROR([Cannot find libutil.])])
+-PKG_CHECK_MODULES(LIBSYSTEMD, [libsystemd], [AC_DEFINE(HAVE_SYSTEMD)], 
[AC_MSG_RESULT([libsystemd not present])])
++
++AC_ARG_ENABLE([systemd],
++      AS_HELP_STRING([--enable-systemd], [build with systemd support]))
++
++AS_IF([test "x$enable_systemd" = "xyes"], [
++      PKG_CHECK_MODULES(LIBSYSTEMD, [libsystemd], [AC_DEFINE(HAVE_SYSTEMD)], 
[AC_MSG_RESULT([libsystemd not present])])
++])
+ 
+ # we assume presence of the following C standard headers
+ # and omit them in the following header checks

diff --git a/net-vpn/openfortivpn/metadata.xml 
b/net-vpn/openfortivpn/metadata.xml
index 592ca36a0245..ff56ee7feb7d 100644
--- a/net-vpn/openfortivpn/metadata.xml
+++ b/net-vpn/openfortivpn/metadata.xml
@@ -5,4 +5,7 @@
        <upstream>
                <remote-id type="github">adrienverge/openfortivpn</remote-id>
        </upstream>
+       <use>
+               <flag name="resolvconf">Use resolvconf to handle 
/etc/resolv.conf updates</flag>
+       </use>
 </pkgmetadata>

diff --git a/net-vpn/openfortivpn/openfortivpn-1.23.1.ebuild 
b/net-vpn/openfortivpn/openfortivpn-1.23.1.ebuild
new file mode 100644
index 000000000000..1c4c6234c8a3
--- /dev/null
+++ b/net-vpn/openfortivpn/openfortivpn-1.23.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools linux-info systemd
+
+DESCRIPTION="Fortinet compatible VPN client"
+HOMEPAGE="https://github.com/adrienverge/openfortivpn";
+SRC_URI="https://github.com/adrienverge/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-3-with-openssl-exception openssl"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="resolvconf systemd"
+
+DEPEND="
+       dev-libs/openssl:=
+       net-dialup/ppp
+       resolvconf? ( virtual/resolvconf )
+       systemd? ( sys-apps/systemd )
+"
+RDEPEND="${DEPEND}"
+
+BDEPEND="
+       virtual/pkgconfig
+"
+
+CONFIG_CHECK="~PPP ~PPP_ASYNC"
+
+PATCHES=(
+       
"${FILESDIR}"/${PN}-1.02.3-systemd_substitute_bin_and_sysconfig_dirs.patch
+       "${FILESDIR}"/${PN}-1.20.3-pppd-ipcp-accept-remote.patch
+       "${FILESDIR}"/${P}-automagic.patch
+)
+
+src_prepare() {
+       default
+
+       sed -i 's/-Werror//g' Makefile.am || die "Failed to remove -Werror from 
Makefile.am"
+
+       eautoreconf
+}
+
+src_configure() {
+       local myconf=(
+               $(use_enable systemd)
+       )
+
+       use systemd && myconf+=(
+               --with-systemdsystemunitdir=$(systemd_get_systemunitdir)
+       )
+
+       use resolvconf || myconf+=(
+               --with-resolvconf=DISABLED
+       )
+
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+
+       keepdir /etc/openfortivpn
+}
+
+pkg_postinst() {
+       if has_version "net-misc/networkmanager"; then
+               ewarn "It is known that openfortivpn does not work in 
NetworkManager, but only"
+               ewarn "as a terminal application. You can install 
net-vpn/networkmanager-openconnect"
+               ewarn "to establish a connection to a Forti VPN in 
NetworkManager."
+       fi
+}

Reply via email to